Subject: Re: [PATCH net] selftests: net: add missing config for big tcp tests

From: Jakub Kicinski <[email-masked]>
Date: Fri, 26 Jan 2024 11:55:51 -0800

On Fri, 26 Jan 2024 16:32:36 +0100 Paolo Abeni wrote:
> The big_tcp test-case requires a few kernel knobs currently
> not specified in the net selftests config, causing the
> following failure:
> 
>   # selftests: net: big_tcp.sh
>   # Error: Failed to load TC action module.
>   # We have an error talking to the kernel
> ...
>   # Testing for BIG TCP:
>   # CLI GSO | GW GRO | GW GSO | SER GRO
>   # ./big_tcp.sh: line 107: test: !=: unary operator expected
> ...
>   # on        on       on       on      : [FAIL_on_link1]
> 
> Add the missing configs
> 
> Fixes: 6bb382bcf742 ("selftests: add a selftest for big tcp")
> Signed-off-by: Paolo Abeni <[email-masked]>

Ah, great, I was missing RF_RAW in the local hack.
I applied manually because looks like this change is on top of
something:

patching file tools/testing/selftests/net/config
Hunk #3 succeeded at 73 with fuzz 1 (offset -1 lines).
Hunk #4 succeeded at 82 (offset -1 lines).

While at it I reordered the values a little bit to be closer to what 
I think would get us closer to alphasort. Hope you don't mind.